from django.contrib.admin.widgets import FilteredSelectMultiple
from django.forms import ModelForm

from .models import Video


class UploadFileForm(ModelForm):
    class Meta:
        model = Video
        fields = ('local_file',)


class VideoForm(ModelForm):
    class Meta:
        model = Video
        fields = '__all__'
        widgets = {
            'categories': FilteredSelectMultiple('Verbose name', False),
        }
